<style>
</style>
<template>
    <div>
        <div class="base_table">
            <div class="tb_title">
                <span>{{ lang.block }}</span><span class="tb_title_comments">#{{ block_id }}</span>
            </div>
            <div class="table_config" v-if="on_load">
                <div class="fakeloader">
                    <div class="fl spinner4"></div>
                </div>
            </div>
            <div class="detail_tb_ct">
                <table class="base_tb_ct" v-if="detail && !on_load">
                    <tr class="">
                        <td class="mobile_width_30p">
                            <div>
                                {{ lang.block_info }}
                            </div>
                        </td>
                        <td>
                            <div>
                                
                            </div>
                        </td>
                    </tr>
                    <tr class="">
                        <td>
                            <div>
                                {{ lang.count_num }}:
                            </div>
                        </td>
                        <td>
                            <div>
                                {{ detail.block_num }}
                            </div>
                        </td>
                    </tr>
                    <tr class="">
                        <td>
                            <div>
                                {{ lang.producer }}:
                            </div>
                        </td>
                        <td>
                            <div>
                                <router-link class="blue_ft" :to="{name: 'account_detail_view', params: {account_name: detail.producer}}">{{ detail.producer }}</router-link>
                            </div>
                        </td>
                    </tr>
                    <tr class="">
                        <td>
                            <div>
                                {{ lang.timestamp }}:
                            </div>
                        </td>
                        <td>
                            <div>
                                {{ detail.timestamp ? time_plus_hours(detail.timestamp, false) : 'T' }}
                            </div>
                        </td>
                    </tr>
                    <tr class="">
                        <td>
                            <div>
                                {{ lang.block_id }}:
                            </div>
                        </td>
                        <td>
                            <div>
                                {{ detail.block_id }}
                            </div>
                        </td>
                    </tr>
                    <tr class="">
                        <td>
                            <div>
                                {{ lang.previous_block_info }}:
                            </div>
                        </td>
                        <td>
                            <div>
                                <router-link class="blue_ft" :to="{name: 'block_detail_view', params: {block_num: detail.previous || detail._previous}}">{{ detail.previous ||detail._previous }}</router-link>
                            </div>
                        </td>
                    </tr>
                </table>
                <br/>
            </div>
        </div>
        <!-- block origin data -->
        <br/>
        <div class="base_table">
            <div class="tb_title tb_title_gray">
                {{ lang.block_origin_data }}</span>
            </div>
            <div class="table_config" v-if="on_load">
                <div class="fakeloader">
                    <div class="fl spinner4"></div>
                </div>
            </div>
            <div  v-if="!on_load">
                <pre class="code_ct" v-html="json_html_style(JSON.parse(detail.origin_data))"></pre>
            </div>
        </div>
    </div>
</template>
<script>
import {
    get_block_detail,
    get_block
} from '../../service/eos_service.js'
import {
    json_html_style
} from '../utils/utils.js'
import { lang } from '../../data/lang.js'
import { time_plus_hours } from '../utils/utils.js'
import load_fns from '../common/load_fns.js'
export default {
    data () {
        return {
            on_load: true,
            load_timestamp: new Date().getTime(),
            block_id: 73665,
            detail: null,
            lang: lang.data
        }
    },
    mounted(){
        this.get_block_detail();
    },
    watch: {
        '$route.params.block_num' () {
            this.get_block_detail();
        }
    },
    methods: {
        get_block_detail () {
            this.block_id = this.$route.params.block_num;
            if(!this.block_id) return ;
            let post_time = this.start_load(true);
            get_block(0, this.block_id)
            .then((res) => {
                if(!this.diff_data_timestamp(post_time)) return ;
                this.detail = res;
                this.finish_load();
            });
            // get_block(this.block_id)
            // .then(res => {
            //     console.log(res);
            //     if(!this.diff_data_timestamp(post_time)) return ;
            //     this.detail = res.data;
            //     this.finish_load();
            // })
        },
        json_html_style,
        ...load_fns
    }
}
</script>